insert into metadata_statistics (order_sequence, metadata_defn, total_entries, rundate, metadata_id)
select rownumber() over (order by count(1) desc), 
'CategorizationsPerItem', count(1), current timestamp, icm_item_id
from icm
where icm_company_id = 40001
and icm_next_version_id = 999999999
group by icm_item_id
;
commit;
